php-doctrine-bundle (2.3.2-1ubuntu1) jammy; urgency=medium

  * d/p/fix-fake-driver-test-failure.patch: Fix FakeDriver test
    - FakeDriver implements abstract class Driver, but didn't provide an
      implementation of the abstract method getExceptionConverter().
      Implement this routine to just raise an unimplemented exception, as
      other routines do.

 -- Bryce Harrington <bryce@canonical.com>  Fri, 11 Mar 2022 18:57:00 +0000

php-doctrine-bundle (2.3.2-1) experimental; urgency=medium

  [ Nicolas Grekas ]
  * Revert deprecation when "override_url" is not set

  [ Benjamin Eberlei ]
  * Make DoctrineBundle compatible with ORM 2.9 (#1327)

 -- David Prévot <taffit@debian.org>  Tue, 11 May 2021 13:42:28 -0400

php-doctrine-bundle (2.3.1-1) experimental; urgency=medium

  [ Gabriel Ostrolucký ]
  * #1320 Fix "explain" with pdo_sqlsrv + DBAL 2.13

  [ Nicolas Grekas ]
  * Remove call to deprecated setCacheDriver() method

  [ Bastien Jaillot ]
  * Disable schema validation no matter the profiling configfuration

  [ Cyber Emissary ]
  * Fix #1314, shard manager class option cannot be overridden

 -- David Prévot <taffit@debian.org>  Fri, 09 Apr 2021 07:56:45 -0400

php-doctrine-bundle (2.3.0-1) experimental; urgency=medium

  * Install new directories

 -- David Prévot <taffit@debian.org>  Tue, 23 Mar 2021 21:53:32 -0400

php-doctrine-bundle (2.2.4-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Gabriel Ostrolucký ]
  * #1282 Fix DBAL < 2.11 BC layer in doctrine:query:sql

  [ David Prévot ]
  * Check tag signature
  * Generate phpabtpl at build time
  * Use dh-sequence-phpcomposer instead of pkg-php-tools
  * Drop useless build-dependencies

 -- David Prévot <taffit@debian.org>  Thu, 18 Mar 2021 17:32:08 -0400

php-doctrine-bundle (2.2.3-1) unstable; urgency=medium

  * Simplify gbp import-orig workflow

 -- David Prévot <taffit@debian.org>  Fri, 29 Jan 2021 14:05:34 -0400

php-doctrine-bundle (2.2.2-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Allow PHPUnit 8

 -- David Prévot <taffit@debian.org>  Tue, 08 Dec 2020 05:50:50 -0400

php-doctrine-bundle (2.2.1-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Allow PHPUnit 9.3

  [ David Prévot ]
  * Rename main branch to debian/latest (DEP-14)
  * Update watch file format version to 4.
  * Update Standards-Version to 4.5.1

 -- David Prévot <taffit@debian.org>  Sun, 22 Nov 2020 08:57:34 -0400

php-doctrine-bundle (2.1.2-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Allow DBAL 3.0 and ignore ORM tests on php 8.

  [ Kevin ]
  * Adds support for doctrine/persistence 2.x

  [ David Prévot ]
  * Set Rules-Requires-Root: no.
  * Build-depend on php-symfony-messenger for the testsuite

 -- David Prévot <taffit@debian.org>  Tue, 25 Aug 2020 17:28:05 -0400

php-doctrine-bundle (2.1.0-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Replace unmaintained dependency

  [ David Prévot ]
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test
  * Adapt to “new” php-(doctrine-)sql-formatter dependency

 -- David Prévot <taffit@debian.org>  Thu, 28 May 2020 14:02:58 -1000

php-doctrine-bundle (2.0.7-1) unstable; urgency=medium

  * Upload to unstable now that Symfony 4.4 is in unstable

  [ Grégoire Paris ]
  * Add void return type declaration to tests
  * Add type declarations where backwards compatible

  [ David Prévot ]
  * Add php-symfony-proxy-manager-bridge needed for tests
  * Update Standards-Version to 4.5.0

 -- David Prévot <taffit@debian.org>  Sun, 02 Feb 2020 00:36:06 -1000

php-doctrine-bundle (2.0.6-1) experimental; urgency=medium

  * Use SYMFONY_DEPRECATIONS_HELPER=999999
  * Set upstream metadata fields: Bug-Submit, Bug-Database, Repository
  * Update homemade autoload.php
  * Add php-symfony-var-dumper needed for testsuite

 -- David Prévot <taffit@debian.org>  Tue, 24 Dec 2019 06:25:23 +1100

php-doctrine-bundle (2.0.2-1) experimental; urgency=medium

  [ David Maicher ]
  * Fix: use array adapter cache pools by default

  [ Nicolas Grekas ]
  * Default to real-utf8 when no charset is provided

  [ David Prévot ]
  * debian/upstream/metadata: set Repository-Browse field
  * debian/autoload.php.tpl: Update homemade autoload

 -- David Prévot <taffit@debian.org>  Sat, 30 Nov 2019 19:39:47 -1000

php-doctrine-bundle (2.0.0-1) experimental; urgency=medium

  * New upstream release, still to experimental since Symfony 4.4 is in NEW.

 -- David Prévot <taffit@debian.org>  Fri, 22 Nov 2019 17:37:52 -1000

php-doctrine-bundle (2.0.0~beta1-1) experimental; urgency=medium

  * Upload beta to experimental

  [ Andreas Braun ]
  * Make master 2.0.x-dev
  * Drop support for DoctrineCacheBundle

  [ Nicolas Grekas ]
  * Allow Symfony 5.0

  [ David Prévot ]
  * debian/control:
    + Drop versioned dependency satisfied in (old)stable
    + Update standards version to 4.4.1, no changes needed.
    + Drop php-doctrine-cache-bundle (build-) dependency
  * debian/upstream/metadata:
    + Set upstream metadata fields: Repository.
    + Remove obsolete fields Name, Contact
  * debian/autoload.php.tpl: Update homemade autoload

 -- David Prévot <taffit@debian.org>  Fri, 15 Nov 2019 07:18:39 -1000

php-doctrine-bundle (1.11.2-3) unstable; urgency=medium

  * Actually exclude Tests from shipped autoload

 -- David Prévot <taffit@debian.org>  Thu, 15 Aug 2019 07:04:13 -1000

php-doctrine-bundle (1.11.2-2) unstable; urgency=medium

  * Upload to unstable now that buster has been released
  * Compatibility with recent PHPUnit (8)
  * Update standards version, no changes needed.
  * Set upstream metadata fields: Contact, Name.

 -- David Prévot <taffit@debian.org>  Wed, 14 Aug 2019 07:02:14 -1000

php-doctrine-bundle (1.11.2-1) experimental; urgency=medium

  [ Andreas Braun ]
  * Fix usage of wrong option in previously delegated commands

  [ javer ]
  * Fix BC break with DoctrineType::reset()

 -- David Prévot <taffit@debian.org>  Mon, 10 Jun 2019 10:14:50 -1000

php-doctrine-bundle (1.11.1-1) experimental; urgency=medium

  [ François-Xavier de Guillebon ]
  * Fix service non existent error

  [ Ben Davies ]
  * fix schema filtes on doctrine/dbal >= 2.9

  [ Kévin Dunglas ]
  * Wiring of the new PropertyAccessExtractor

  [ Gabriel Ostrolucký ]
  * Skip generating link for backtrace record with missing file, fixes #967

 -- David Prévot <taffit@debian.org>  Mon, 20 May 2019 11:52:48 -1000

php-doctrine-bundle (1.11.0-1) experimental; urgency=medium

  * Upload to experimental during the freeze
  * Document gbp import-ref usage
  * Enable testsuite again
  * Add Dbal directory
  * Install upstream documentation

 -- David Prévot <taffit@debian.org>  Sun, 12 May 2019 15:50:53 -1000

php-doctrine-bundle (1.10.2-1) unstable; urgency=medium

  [ Christian Flothmann ]
  * provide better error when doctrine/orm is missing

 -- David Prévot <taffit@debian.org>  Mon, 11 Feb 2019 14:10:51 -1000

php-doctrine-bundle (1.10.1-1) unstable; urgency=medium

  * Use debhelper-compat 12
  * Update Standards-Version to 4.3.0

 -- David Prévot <taffit@debian.org>  Thu, 10 Jan 2019 15:46:13 +1100

php-doctrine-bundle (1.10.0-1) unstable; urgency=medium

  * Use debhelper-compat 11
  * Use https in Format
  * Drop get-orig-source target
  * Update Standards-Version to 4.2.1

 -- David Prévot <taffit@debian.org>  Sat, 01 Dec 2018 08:45:46 -1000

php-doctrine-bundle (1.9.1-1) unstable; urgency=medium

  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.4
  * Restore upstream changelog

 -- David Prévot <taffit@debian.org>  Sat, 28 Apr 2018 10:15:48 -1000

php-doctrine-bundle (1.8.1-1) unstable; urgency=medium

  [ Alex Rock Ancelet ]
  * Fix var typo in DoctrineExtension

  [ Gabriel Ostrolucký ]
  * Fix #730 compatibility with web profiler 4 (#735)

 -- David Prévot <taffit@debian.org>  Sat, 25 Nov 2017 17:36:19 -1000

php-doctrine-bundle (1.8.0-1) unstable; urgency=medium

  Upload to unstable since the package is again compatible with PHP 7.0

  [ Ryan Weaver ]
  * Reverts the bump from PHP 5 to PHP 7.1: re-adds php 5.5 support

  [ Fabien Potencier ]
  * bumped version to 1.8

  [ David Prévot ]
  * Install new Repository directory

 -- David Prévot <taffit@debian.org>  Thu, 16 Nov 2017 09:33:21 -1000

php-doctrine-bundle (1.7.2-1) experimental; urgency=medium

  [ hubert.lenoir ]
  * Add command registration to fix Symfony 3.4 auto-registration deprecation

 -- David Prévot <taffit@debian.org>  Thu, 26 Oct 2017 14:57:06 -1000

php-doctrine-bundle (1.7.1-1) experimental; urgency=medium

  * Upload to experimental since the 1.7 branch depends on PHP 7.1

  [ Massimiliano Arione ]
  * Add .gitattributes (#688)

  [ David Prévot ]
  * Update Standards-Version to 4.1.1
  * Drop testsuite removed upstream
  * Drop documentation removed upstream
  * Drop overrides satisfied in stable

 -- David Prévot <taffit@debian.org>  Mon, 02 Oct 2017 21:23:43 -1000

php-doctrine-bundle (1.7.0-1) unstable; urgency=medium

  [ Luís Cobucci ]
  * Bump master to 1.7.x

  [ David Prévot ]
  * Update Standards-Version to 4.0.1

 -- David Prévot <taffit@debian.org>  Sat, 19 Aug 2017 17:52:13 -1000

php-doctrine-bundle (1.6.8-1) unstable; urgency=medium

  * Update Standards-Version to 4.0.0

 -- David Prévot <taffit@debian.org>  Fri, 11 Aug 2017 10:27:07 -0400

php-doctrine-bundle (1.6.7-1) unstable; urgency=medium

  [ Andreas Braun ]
  * Drop Symfony 2.3

  [ Andreas Lemke ]
  * add twig/twig version 2.0

  [ Nicolas Grekas ]
  * Don’t call addClassesToCompile on PHP 7.0, it’s deprecated

 -- David Prévot <taffit@debian.org>  Wed, 25 Jan 2017 15:50:02 -1000

php-doctrine-bundle (1.6.4-1) unstable; urgency=medium

  [ Vincent CHALAMON ]
  * Create shard_manager dynamic service

  [ Matthias Pigulla ]
  * Add doctrine:database:import command to load SQL files

  [ Nicolas Grekas ]
  * Set doctrine.orm.entity_manager.abstract as lazy

 -- David Prévot <taffit@debian.org>  Fri, 25 Nov 2016 19:02:25 -1000

php-doctrine-bundle (1.6.3-1) unstable; urgency=medium

  [ Kévin Dunglas ]
  * Register the PropertyInfo extractor from the Symfony Bridge

  [ Benjamin Lazarecki ]
  * Fix count break on queries list for profiler

  [ mike ]
  * Adding the options for the connectstring and instancename parameter of
    oracle

  [ bocharsky.bw ]
  * Highlight query count box according to the db toolbar icon status

  [ Thomas Lallement ]
  * Add global metrics on top of Doctrine page

  [ David Prévot ]
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Sat, 04 Jun 2016 11:44:40 -0400

php-doctrine-bundle (1.6.2-2) unstable; urgency=medium

  * Simplify homemade static autoload.php for tests
  * PHP 7.0 transition:
    - Build-depend on php-sqlite3 instead of php5-sqlite
    - Rebuild with latest pkg-php-tools

 -- David Prévot <taffit@debian.org>  Fri, 04 Mar 2016 22:51:25 -0400

php-doctrine-bundle (1.6.2-1) unstable; urgency=medium

  [ Davi Koscianski Vidal ]
  * Add support to set PostgreSQL application_name

  [ Guillaume RODRIGUEZ ]
  * Add support to set PostgreSQL sslrootcert

  [ Maxime Steinhausser ]
  * Fix ghost item in toolbar when no query

  [ Philipp Wahala ]
  * Implement ContainerAwareInterface in ProfilerController

  [ Pascal Borreli ]
  * Fixed incorrect link text after clicking on it

  [ David Prévot ]
  * Add upstream changelog for recent versions
  * Update Standards-Version to 3.9.7

 -- David Prévot <taffit@debian.org>  Wed, 10 Feb 2016 22:16:17 -0400

php-doctrine-bundle (1.6.1-1) unstable; urgency=medium

  [ Martin Hasoň ]
  * Fixed creating sqlite database

 -- David Prévot <taffit@debian.org>  Thu, 03 Dec 2015 13:45:01 -0400

php-doctrine-bundle (1.6.0-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Wed, 04 Nov 2015 20:40:24 -0400

php-doctrine-bundle (1.5.2-1) unstable; urgency=medium

  [ Benjamin Eberlei ]
  * [DCOM-293] Fix security misconfiguration vulnerability, allowing
    potential local arbitrary code execution. [CVE-2015-5723]
  * Add 1.5.2 changelog

 -- David Prévot <taffit@debian.org>  Sat, 05 Sep 2015 18:38:52 -0400

php-doctrine-bundle (1.5.1-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * Allow symfony 3.0 components

  [ Mihai Iachimovschi ]
  * [Fix] Doctrine profiler "Expand all queries" action.

  [ ptlis ]
  * Fix DisconnectedMetadataFactory::findNamespaceAndPathForMetadata

  [ Christophe Coevoet ]
  * Update the changelog

  [ David Prévot ]
  * Drop now useless version constraint for php-doctrine-cache-bundle

 -- David Prévot <taffit@debian.org>  Sat, 29 Aug 2015 11:33:24 -0400

php-doctrine-bundle (1.5.0-1) unstable; urgency=medium

  [ Christophe Coevoet ]
  * Update the changelog for 1.5

  [ David Prévot ]
  * Update homepage
  * New php-symfony-console dependency
  * Build-depend on php5-sqlite for tests

 -- David Prévot <taffit@debian.org>  Sat, 06 Jun 2015 09:50:18 -0400

php-doctrine-bundle (1.4.0-2) unstable; urgency=medium

  * Provide homemade autoload.php

 -- David Prévot <taffit@debian.org>  Mon, 18 May 2015 21:45:51 -0400

php-doctrine-bundle (1.4.0-1) unstable; urgency=medium

  [ Sebastian Krebs ]
  * CLI-flags to make database:create and database:drop idempotent

  [ Christophe Coevoet ]
  * Update the changelog for 1.4.0

  [ Fabien Potencier ]
  * made the factories compatible with all Symfony versions (2.3 to 2.7)

 -- David Prévot <taffit@debian.org>  Sat, 07 Mar 2015 08:24:22 -0400

php-doctrine-bundle (1.3.0-1) unstable; urgency=low

  * Initial release

 -- David Prévot <taffit@debian.org>  Thu, 08 Jan 2015 06:33:54 -0400
